Package org.apache.cxf.common.security

# Class UsernameToken

java.lang.Object
org.apache.cxf.common.security.UsernameToken

All Implemented Interfaces:
  `SecurityToken`

public class UsernameToken extends Object implements SecurityToken

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UsernameToken(String name, String password, String passwordType, boolean isHashed, String nonce, String createdTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedTime()`
  `String`
  `getName()`
  `String`
  `getNonce()`
  `String`
  `getPassword()`
  `String`
  `getPasswordType()`
  `TokenType`
  `getTokenType()`
  `boolean`
  `isHashed()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UsernameToken

    public UsernameToken(String name, String password, String passwordType, boolean isHashed, String nonce, String createdTime)

- ## Method Details

  - ### getName

    public String getName()

  - ### getPassword

    public String getPassword()

  - ### getPasswordType

    public String getPasswordType()

  - ### isHashed

    public boolean isHashed()

  - ### getNonce

    public String getNonce()

  - ### getCreatedTime

    public String getCreatedTime()

  - ### getTokenType

    public TokenType getTokenType()
    Specified by:
      `getTokenType` in interface `SecurityToken`